# sources from upstream git
#
# git clone git://anongit.freedesktop.org/xdg/xdg-utils
# cd xdg-utils
# git archive --format=tar --prefix=xdg-utils-20121008/ master | xz > ../xdg-utils-20121008.tar.xz
#

#define beta	rc1
%define gitdate	20121008
%define rel	2

Name:		xdg-utils
Version:	1.1.0
Release:	%mkrel -c 0.git%{gitdate} %{rel}
Summary:	Interfaces and Tools to allow all applications to easily integrate with the free desktop configuration
License:	MIT
Url:		http://portland.freedesktop.org/wiki/
Group:		System/Base
Source0:	xdg-utils-%{gitdate}.tar.xz
#Source0:	http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta:-%{beta}}.tar.gz
Patch0:		xdg-utils-1.0.2-email_loop.patch
Patch1:		xdg-utils-1.0.2-email_silent_errors.patch
BuildRequires:	libxslt-proc
BuildRequires:	gawk
BuildRequires:	xmlto
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
Requires:	desktop-file-utils
Requires:	xprop
Requires:	xset

%description
This version of xdg-utils contains the following commands:
xdg-desktop-menu:	command line tool for (un)installing 
			desktop menu items
xdg-desktop-icon:	command line tool for (un)installing 
			icons to the desktop
xdg-mime:	        command line tool for querying information 
			about file type handling and adding 
			descriptions for new file types
xdg-icon-resource:	command line tool for (un)installing icon resources
xdg-open:	        opens a file or URL in the user's preferred 
			application
xdg-email:	        command line tool for sending mail using the user's 
			preferred 
			e-mail composer
xdg-su:	                run a program as root after prompting for the root 
			password
xdg-screensaver:	command line tool for controlling the screensaver

Testsuite for xdg-utils is available from
http://portland.freedesktop.org/wiki/TestSuite

%files
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
#%{_bindir}/xdg-terminal
%{_mandir}/man1/xdg-desktop-icon.*
%{_mandir}/man1/xdg-desktop-menu.*
%{_mandir}/man1/xdg-email.*
%{_mandir}/man1/xdg-icon-resource.*
%{_mandir}/man1/xdg-mime.*
%{_mandir}/man1/xdg-open.*
%{_mandir}/man1/xdg-screensaver.*
%{_mandir}/man1/xdg-settings.*
#%{_mandir}/man1/xdg-terminal.*

#-------------------------------------------------------------------------------#


%prep
%setup -q -n %{name}-%{gitdate}
%patch0 -p0
%patch1 -p0

%build
%configure2_5x

%if 0%{?gitdate:1}
%make scripts-clean -C scripts
%make man scripts -C scripts
%endif

%make
%make -C scripts

%install
%makeinstall_std


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-0.0.git20121008.2.mga3
+ Revision: 386716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 wally <wally> 1.1.0-0.0.git20121008.1.mga3
+ Revision: 310705
- use latest git snapshot

* Wed Feb 15 2012 ovitters <ovitters> 1.1.0-0.rc1.2.mga2
+ Revision: 209257
- clean spec

* Fri Jan 07 2011 dmorgan <dmorgan> 1.1.0-0.rc1.1.mga1
+ Revision: 209
- imported package xdg-utils

